%{?nodejs_find_provides_and_requires}

%global packagename ware
%global enable_tests 1

Name:		nodejs-ware
Version:	1.3.0
Release:	1%{?dist}
Summary:	Easily create your own middleware layer

License:	MIT
URL:		https://github.com/segmentio/ware
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Easily create your own middleware layer.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

# Create license file from end of Readme.md
sed -e '0,/^## License/d' Readme.md > LICENSE.md

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc History.md Readme.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug  8 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
